using Microsoft.Extensions.Logging;
using MockQueryable;
using Moq;
using PARR.DAL.Contracts;
using PARR.DAL.DomainServices.Interfaces;
using PARR.DAL.DomainServices.Shortcodes;
using PARR.DAL.Models.Job;
using PARR.DAL.Models.Unit;
using PARR.DAL.Services.Interfaces.Job;
using PARR.DAL.Services.Interfaces.Unit;

namespace PARR.DAL.Tests.DomainServices.Implementations
{
    public class ShortcodesServiceTests
    {
        private readonly Mock<ILogger<ShortcodesService>> loggerMock = new();
        private readonly Mock<SettingsFromDb> settingsMock = new();
        private readonly Mock<IJobService> jobServiceMock = new();
        private readonly Mock<IUnitService> unitServiceMock = new();
        private readonly Mock<IUnitInValueService> unitInValueServiceMock = new();
        private readonly Mock<IUnitFieldService> unitFieldServiceMock = new();
        private readonly Mock<IUnitFilterService> unitFilterServiceMock = new();

        [Fact]
        public async Task ApplyShortcodesAsync_WithEc_ShouldReplaceEc()
        {

        }
    }
}